# setting up perl library path 


# MAIN CONFIGURATION TO CHECKOUT-ROOT
##########################################

  # symlink to workdir

  setenv MYHOME '/home/ensembl'
 
  setenv CVS  $MYHOME/cvs_checkout/



  #
  # symlinkk to used ensembl-checkouts ( diff. checkouts below ) 
  #
  
  setenv ENSEMBL           $CVS/ensembl
  setenv ENSEMBL_ANALYSIS  $CVS/ensembl-analysis
  setenv ENSEMBL_CONFIG    $CVS/ensembl-config
  setenv ENSEMBL_COMPARA   $CVS/ensembl-compara
  setenv ENSEMBL_HIVE      $CVS/ensembl-hive
  setenv ENSEMBL_PIPELINE  $CVS/ensembl-pipeline
  setenv ENSEMBL_KILL_LIST $CVS/ensembl-killlist


echo " "
echo "checking pathes...."
echo " " 



set path_to_check = (  ENSEMBL   ENSEMBL_CONFIG   ENSEMBL_PIPELINE  ENSEMBL_ANALYSIS   ENSEMBL_KILL_LIST) 


set vars_to_check = ( $ENSEMBL  $ENSEMBL_CONFIG  $ENSEMBL_PIPELINE $ENSEMBL_ANALYSIS  $ENSEMBL_KILL_LIST) 








set i = 0 
foreach var ( $vars_to_check )
@ i++
  if (! -e $var ) then
     echo "HEY ! One of your pathes does not exist: "
     echo "ERROR: $path_to_check[$i] $var "
     exit
  else
     echo "checking "'$'"$path_to_check[$i]  $var  ======> OK "
  endif
end 



# set the pathes supplied 
setenv PERL5LIB '' 


# ENSEMBL MODULES 

setenv PERL5LIB ${PERL5LIB}:$ENSEMBL/modules
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_COMPARA/modules
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_HIVE/modules
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_PIPELINE/modules
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_ANALYSIS/modules
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_PIPELINE/scripts
setenv PERL5LIB ${PERL5LIB}:$ENSEMBL_KILL_LIST/modules


# bioperl

setenv PERL5LIB ${PERL5LIB}:${CVS}/bioperl-live-12

# these two (especially the bioperl-run- ) are needed for compara 
setenv PERL5LIB ${PERL5LIB}:${CVS}/bioperl-1.5.1
setenv PERL5LIB ${PERL5LIB}:${CVS}/bioperl-run-1.5.1



setenv ES   $ENSEMBL/scripts
setenv PS   $ENSEMBL_PIPELINE/scripts
setenv AS   $ENSEMBL_ANALYSIS/scripts
setenv TS   $ENSEMBL_PIPELINE/misc-scripts/test/


setenv ES   $ENSEMBL/scripts
setenv PS   $ENSEMBL_PIPELINE/scripts
setenv AS   $ENSEMBL_ANALYSIS/scripts
setenv TS   $ENSEMBL_PIPELINE/misc-scripts/test/

setenv PI   $ENSEMBL_PIPELINE
setenv EC   $ENSEMBL_CONFIG

echo " " 
echo "All pathes are existing and ok, all previous vars are overwritten" 
echo " " 
echo " " 

set scripts = ( ES PS AS TS  )

echo " " 
echo " Shortcuts to Scripts: "
echo "-------------------------"
echo " " 

foreach SC ( $scripts )
  set variable_content  = (` env | grep -w  $SC= ` ) 
  echo '$'"${SC} ==>   $variable_content " 
end 

unset scripts  


echo " " 
echo " " 
echo " " 

set shortcuts = ( PI PE EC )

echo " " 
echo " Shortcuts to configs "
echo "-------------------------"
echo " " 

foreach SC ( $shortcuts )
  set variable_content  = (` env | grep -w  $SC= ` ) 
  echo '$'"${SC} ==>   $variable_content " 
end 

 
echo " " 
echo " " 
echo " " 
echo " " 
